Description

If you use the $arch token in the Path of your Installation Medium, the vmlinuz and initrd for an aarch64 host get pulled with the token

interpolated as arm64 (because the Operatingsystem overrides boot_file_sources to pass a block that uses transform_vars), e.g.

from

/pub/installation_media/ubuntu/22.04.3-arm64//casper/vmlinuz

/pub/installation_media/ubuntu/22.04.3-arm64//casper/initrd

 but in, say, your image_path in the "Preseed default PXEGrub2 Autoinstall" template, which uses preseed_path, the token is left as

aarch64, e.g.

/pub/installation_media/ubuntu/22.04.3-aarch64.iso

 I imagine most people are not encountering this because the usual Debian/Ubuntu repository structure has a base path of simply

/debian or /ubuntu that includes multiple releases, components, and arches (avoiding the need for tokens), and if you're creating

custom Installation Media, e.g. as documented at 

https://docs.orcharhino.com/or/docs/sources/guides/ubuntu/provisioning_hosts/configuring_provisioning_resources.html#Creating_a

n_Installation_Medium_for_Ubuntu_22_04 (because Ubuntu stopped supplying boot images in the repository), then you might just

put literal amd64 or arm64 in your Path like they tell you to, or if you didn't, you just rename the iso once you encounter the

discrepancy.

However, in the interest of sparing others that surprise (and other potential surprises using custom Installation Media Paths), I think

Foreman should use transform_vars on preseed_path also.

Associated revisions

Revision 555c3d0f - 04/25/2024 11:12 AM - Bernhard Suttner

Fixes #36830 - transform_vars on preseed_path

Co-Authored-by: quartsize

History

#1 - 10/17/2023 05:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9861 added

#2 - 02/02/2024 01:57 PM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9861)

#3 - 03/07/2024 12:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9861 added

#4 - 04/23/2024 07:16 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10137 added
https://github.com/theforeman/foreman/blob/3.8.0/app/models/operatingsystems/debian.rb#L22
https://docs.orcharhino.com/or/docs/sources/guides/ubuntu/provisioning_hosts/configuring_provisioning_resources.html#Creating_an_Installation_Medium_for_Ubuntu_22_04
https://docs.orcharhino.com/or/docs/sources/guides/ubuntu/provisioning_hosts/configuring_provisioning_resources.html#Creating_an_Installation_Medium_for_Ubuntu_22_04


#5 - 04/25/2024 11:12 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#6 - 04/25/2024 11:13 AM - The Foreman Bot

- Pull request deleted (https://github.com/theforeman/foreman/pull/9861, https://github.com/theforeman/foreman/pull/10137)

#7 - 04/25/2024 12:00 PM - Bernhard Suttner

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|555c3d0f4de32b72cf11aab6c7099aeee38f17ff.
